#### Description:

A MathMap is a Mapping which allows you to specify a set of forward and/or inverse transformation functions using arithmetic operations and mathematical functions similar to those available in C. The MathMap interprets these functions at run-time, whenever its forward or inverse transformation is required. Because the functions are not compiled in the normal sense (unlike an IntraMap), they may be used to describe coordinate transformations in a transportable manner. A MathMap therefore provides a flexible way of defining new types of Mapping whose descriptions may be stored as part of a dataset and interpreted by other programs.

#### Constructor Function

astMathMap

#### Inheritance

The MathMap class inherits from the Mapping class.

#### Attributes

In addition to those attributes common to all Mappings, every MathMap also has the following attributes:

- Seed: Random number seed

- SimpFI: Forward-inverse MathMap pairs simplify?

- SimpIF: Inverse-forward MathMap pairs simplify?

#### Functions

The MathMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory